org.eclipse.ease.ui.completion

## Class CompletionLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.ease.ui.completion.CompletionLabelProvider

All Implemented Interfaces:
  DelegatingStyledCellLabelProvider.IStyledLabelProvider, IBaseLabelProvider, ILabelProvider

    public class CompletionLabelProvider
    extends LabelProvider
    implements ILabelProvider, DelegatingStyledCellLabelProvider.IStyledLabelProvider

### Constructor Summary

Constructors
Constructor and Description
`CompletionLabelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Image` `getImage(java.lang.Object element)`
`StyledString` `getStyledText(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Constructor Detail

#### CompletionLabelProvider

    public CompletionLabelProvider()

### Method Detail

#### getText

    public java.lang.String getText(java.lang.Object element)

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `LabelProvider`

#### getImage

    public Image getImage(java.lang.Object element)

Specified by:
  `getImage` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`
Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `LabelProvider`

#### getStyledText

    public StyledString getStyledText(java.lang.Object element)

Specified by:
  `getStyledText` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`